> For the complete documentation index, see [llms.txt](https://docs.hyperswitch.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hyperswitch.io/integrations/prism/node/merchant-authentication-service/create-sdk-session-token.md).

# Create SDK Session Token

## Overview

The `createSdkSessionToken` method initializes wallet payment sessions for Apple Pay, Google Pay, and other SDK-based payments. It sets up the secure context needed for tokenized wallet payments.

**Business Use Case:** When offering Apple Pay or Google Pay checkout, initialize a session with merchant configuration and payment details.

## Purpose

| Wallet     | Purpose                      |
| ---------- | ---------------------------- |
| Apple Pay  | Initialize PKPaymentSession  |
| Google Pay | Configure PaymentDataRequest |
| PayPal SDK | Set up checkout context      |

## Request Fields

| Field                  | Type   | Required | Description                       |
| ---------------------- | ------ | -------- | --------------------------------- |
| `merchantSdkSessionId` | string | Yes      | Your unique SDK session reference |
| `amount`               | Money  | Yes      | Payment amount                    |
| `paymentMethodType`    | string | No       | APPLE\_PAY, GOOGLE\_PAY           |
| `countryCode`          | string | No       | ISO country code                  |
| `customer`             | object | No       | Customer information              |

## Response Fields

| Field          | Type   | Description                  |
| -------------- | ------ | ---------------------------- |
| `sessionToken` | object | Wallet-specific session data |
| `statusCode`   | number | HTTP status code             |

## Example

### SDK Setup

```javascript
const { MerchantAuthenticationClient } = require('hyperswitch-prism');

const authClient = new MerchantAuthenticationClient({
    connector: 'stripe',
    apiKey: 'YOUR_API_KEY',
    environment: 'SANDBOX'
});
```

### Request

```javascript
const request = {
    merchantSdkSessionId: "sdk_session_001",
    amount: {
        minorAmount: 10000,
        currency: "USD"
    },
    paymentMethodType: "APPLE_PAY",
    countryCode: "US",
    customer: {
        name: "John Doe",
        email: "john@example.com"
    }
};

const response = await authClient.createSdkSessionToken(request);
```

### Response

```javascript
{
    sessionToken: {
        applePay: {
            sessionData: "eyJtZXJjaGFudElkZW50aWZpZXIiOi...",
            displayMessage: "Example Store"
        }
    },
    statusCode: 200
}
```

## Next Steps

* [Payment Service](/integrations/prism/node/payment-service.md) - Process wallet payments


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hyperswitch.io/integrations/prism/node/merchant-authentication-service/create-sdk-session-token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
